# import h5py

import tables, sys

# ----------------------------------------------------------------------------------------------- #

def main():

	file_name = sys.argv[1]

	signals = read_flow_signals(file_name)

	return signals


# ----------------------------------------------------------------------------------------------- #

def read_flow_signals(file_name):

	# Open the input file for reading
	fid = tables.openFile(file_name,'r')

	# Recursively read everything under the root group
	group_data = read_group(fid.root)

	# Close the file
	fid.close()


	return group_data


	print "OK"

# ----------------------------------------------------------------------------------------------- #

def read_group(group):

	# Initialize the group data dictionary
	group_data = {}

	# List of groups under the current group
	group_names = group._v_groups

	# List of leaves (data sets) under the current group
	leaf_names = group._v_leaves

	# Loop over leaves
	for leaf_name in leaf_names:
		group_data[leaf_name] = group._f_getChild(leaf_name).read()

	# Loop over groups
	for group_name in group_names:
		group_data[group_name] = read_group(group._f_getChild(group_name))

	# Return the group data
	return group_data

# ----------------------------------------------------------------------------------------------- #

if __name__ == "__main__":
	main()
	# read_flow_signals()

# ----------------------------------------------------------------------------------------------- #
